SettingsMy profile

My profile

Settings · 1 операція

GET

Get my profile

/api/account/profile

The signed-in user: id, name, email, role, time zone and linked student, teacher or customer card. Use the id for "my" filters such as assigneeUserIds.

get_my_profile

Відповідь · 200

application/json

statusCodenumberобовʼязковийприклад 200
messagestringобовʼязковий—
dataobject—
Помилки401403429500
curl "https://your-school.rist.pro/api/account/profile" \
  -H "Authorization: Bearer $RIST_API_KEY"
Приклад відповіді · 200
{
  "statusCode": 200,
  "message": "Operation completed successfully",
  "data": {}
}